# Oraculi scoring

{% hint style="success" %}
Summary

Scoring has never been simpler. With this service, you can easily score your lenders based on the settings you configured in your decision models.&#x20;
{% endhint %}

## Introduction

This endpoint is used for scoring based on the passed parameters/data points. By default, Lendsqr provides you with a proprietary scoring model and its sample request payload which you can tweak to your specification

However, you can pass any data point you wish to; provided that you have configured the scoring model to accept this. Below is a sample request and response body:

It is highly important to you set the specific decision model you wish to use for scoring.&#x20;

| Name | Type    | Description                                                                      |
| ---- | ------- | -------------------------------------------------------------------------------- |
| id   | Integer | The decision model ID you wish to use. The **Get Models** API returns this value |

```bash
curl --location 'https://adjutor.lendsqr.com/v2/decisioning/models/2355' \
--data-raw '{
    "gender": "Female",
    "marital_status": "Single",
    "age": "21",
    "location": "lagos",
    "no_of_dependent": "0",
    "type_of_residence": "Rented Apartment",
    "educational_attainment": "BSc, HND and Other Equivalent",
    "employment_status": "Employed",
    "sector_of_employment": "Other Financial",
    "monthly_net_income": "100,000 - 199,999",
    "employer_category": "Private Company",
    "bvn": "22536051111",
    "phone_number": "08012345678",
    "total_years_of_experience": 5,
    "time_with_current_employer": 2,
    "previous_lendsqr_loans": 3,
    "phone": "07062561111",
    "bvn_phone": "07062561111",
    "office_email": "adojohnsule@lendsqr.com",
    "personal_email": "adojohnsule@lendsqr.com",
    "amount": 10000
}'
```

```json
{
   "status":"success",
   "message":"Successful",
   "data":{
      "credit_score_items":[
         {
            "score_name":"age",
            "score_value":"21 - 30",
            "weight":"7",
            "maximum_score":10,
            "borrower_score":0,
            "weighted_score":0
         },
         {
            "score_name":"gender",
            "score_value":"Female",
            "weight":"10",
            "maximum_score":10,
            "borrower_score":10,
            "weighted_score":0.0909
         },
         {
            "score_name":"location",
            "score_value":"lagos",
            "weight":"5",
            "maximum_score":10,
            "borrower_score":9,
            "weighted_score":0.0409
         },
         {
            "score_name":"customer_tier",
            "weight":"5",
            "maximum_score":10,
            "borrower_score":0,
            "weighted_score":0
         },
         {
            "score_name":"marital_status",
            "score_value":"Single",
            "weight":"5",
            "maximum_score":10,
            "borrower_score":6,
            "weighted_score":0.0273
         },
         {
            "score_name":"employer_category",
            "weight":"0",
            "maximum_score":10,
            "borrower_score":0,
            "weighted_score":0
         },
         {
            "score_name":"employment_status",
            "score_value":"Employed",
            "weight":"10",
            "maximum_score":10,
            "borrower_score":10,
            "weighted_score":0.0909
         },
         {
            "score_name":"type_of_residence",
            "score_value":"Rented Apartment",
            "weight":"5",
            "maximum_score":10,
            "borrower_score":10,
            "weighted_score":0.0455
         },
         {
            "score_name":"monthly_net_income",
            "score_value":"100,000 - 199,999",
            "weight":"10",
            "maximum_score":10,
            "borrower_score":6,
            "weighted_score":0.0545
         },
         {
            "score_name":"no_of_dependent",
            "score_value":"0",
            "weight":"8",
            "maximum_score":10,
            "borrower_score":0,
            "weighted_score":0
         },
         {
            "score_name":"sector_of_employment",
            "score_value":"Other Financial",
            "weight":"5",
            "maximum_score":10,
            "borrower_score":6,
            "weighted_score":0.0273
         },
         {
            "score_name":"educational_attainment",
            "weight":"5",
            "maximum_score":10,
            "borrower_score":0,
            "weighted_score":0
         },
         {
            "score_name":"total_years_of_experience",
            "weight":"5",
            "maximum_score":10,
            "borrower_score":4,
            "weighted_score":0.0182
         },
         {
            "score_name":"time_with_current_employer",
            "score_value":1,
            "weight":"5",
            "maximum_score":10,
            "borrower_score":2,
            "weighted_score":0.0091
         },
         {
            "score_name":"previous_paid_loans_on_pecunia",
            "weight":"25",
            "maximum_score":10,
            "borrower_score":0,
            "weighted_score":0
         }
      ],
      "total_weight":110,
      "score":40.46
   },
   "meta":{
      "balance":50000
   }
}
```

This provides you with an intuitive way of customer scoring.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adjutor.io/adjutor-api-endpoints/decisioning/oraculi-scoring.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
